404

[ Avaa Bypassed ]




Upload:

Command:

botdev@18.222.184.40: ~ $
#!/bin/sh
set -e

### BEGIN INIT INFO
# Provides:           cgroupfs-mount
# Required-Start:     $syslog $remote_fs
# Required-Stop:      $syslog $remote_fs
# Default-Start:      2 3 4 5
# Default-Stop:       0 1 6
# Short-Description:  Set up cgroupfs mounts.
# Description:
#  Control groups are a kernel mechanism for tracking and imposing
#  limits on resource usage on groups of tasks.
### END INIT INFO

BASE=cgroupfs-mount

# Test for systemd and bail (we have to test before sourcing init-functions, or systemd hijacks us)
# We bail because systemd already mounts cgroups sanely, so we just silently pretend we were successful in mounting them here
if [ -d /run/systemd/system ]; then
	exit 0
fi

# Get lsb functions
. /lib/lsb/init-functions

if [ -f /etc/default/$BASE ]; then
	. /etc/default/$BASE
fi

# see also init_is_upstart in /lib/lsb/init-functions (which isn't available in Ubuntu 12.04, or we'd use it)
if [ -x /sbin/initctl ] && /sbin/initctl version 2>/dev/null | /bin/grep -q upstart; then
	log_failure_msg "$BASE is managed via upstart, try using service $BASE $1"
	exit 1
fi

case "$1" in
	start)
		test -x /usr/bin/cgroupfs-mount || exit 0
		log_begin_msg 'Mounting cgroupfs hierarchy'
		/usr/bin/cgroupfs-mount
		log_end_msg $?
		;;

	stop)
		test -x /usr/bin/cgroupfs-umount || exit 0
		log_begin_msg 'Unmounting cgroupfs hierarchy'
		/usr/bin/cgroupfs-umount
		log_end_msg $?
		;;

	restart|force-reload)
		if mountpoint -q /sys/fs/cgroup; then
			$0 stop
		fi
		exec $0 start
		;;

	status)
		if mountpoint -q /sys/fs/cgroup; then
			# TODO decide whether to detect "partial mounted" status (ie, whether all available subsystems are mounted correctly)
			log_success_msg 'cgroupfs hierarchy is mounted'
			exit 0
		else
			log_failure_msg 'cgroupfs hierarchy is not mounted'
			exit 1
		fi
		;;

	*)
		echo "Usage: $0 {start|stop|restart|status}"
		exit 1
		;;
esac

exit 0

Filemanager

Name Type Size Permission Actions
acpid File 2.22 KB 0755
apache-htcacheclean File 2.43 KB 0755
apache2 File 7.99 KB 0755
apparmor File 4.23 KB 0755
apport File 2.85 KB 0755
atd File 1.05 KB 0755
cgroupfs-mount File 1.86 KB 0755
console-setup.sh File 1.2 KB 0755
cron File 2.98 KB 0755
cryptdisks File 937 B 0755
cryptdisks-early File 978 B 0755
danted File 3.72 KB 0755
dbus File 2.75 KB 0755
docker File 3.42 KB 0755
ebtables File 4.38 KB 0755
grub-common File 985 B 0755
hddtemp File 2.99 KB 0755
hwclock.sh File 3.72 KB 0755
irqbalance File 2.39 KB 0755
iscsid File 1.47 KB 0755
keyboard-setup.sh File 1.44 KB 0755
kmod File 2 KB 0755
lm-sensors File 883 B 0755
lvm2 File 695 B 0755
lvm2-lvmetad File 571 B 0755
lvm2-lvmpolld File 586 B 0755
lxcfs File 2.32 KB 0755
lxd File 2.19 KB 0755
mdadm File 2.59 KB 0755
mdadm-waitidle File 1.22 KB 0755
mysql File 5.48 KB 0755
netfilter-persistent File 1.33 KB 0755
network-manager File 1.9 KB 0755
open-iscsi File 2.44 KB 0755
open-vm-tools File 1.8 KB 0755
openvpn File 8.92 KB 0755
plymouth File 1.33 KB 0755
plymouth-log File 752 B 0755
pppd-dns File 612 B 0755
procps File 1.16 KB 0755
rsync File 4.25 KB 0755
rsyslog File 2.8 KB 0755
screen-cleanup File 1.19 KB 0755
ssh File 3.75 KB 0755
tor File 5.92 KB 0755
ubuntu-fan File 1.2 KB 0755
udev File 5.83 KB 0755
ufw File 2.03 KB 0755
unattended-upgrades File 1.36 KB 0755
uuidd File 1.28 KB 0755
x11-common File 2.69 KB 0755